ldenseMatrix-class {Matrix} | R Documentation

## Virtual Class "ldenseMatrix" of Dense Logical Matrices

### Description

`ldenseMatrix` is the virtual class of all dense logical (S4) matrices. It extends both `denseMatrix` and `lMatrix` directly.

### Slots

`x`:

  logical vector containing the entries of the matrix.

`Dim`, `Dimnames`:

  see `Matrix`.

### Extends

Class `"lMatrix"`, directly. Class `"denseMatrix"`, directly. Class `"Matrix"`, by class `"lMatrix"`. Class `"Matrix"`, by class `"denseMatrix"`.

### Methods

%*%

  `signature(x = "lsparseMatrix", y = "ldenseMatrix")`: ...

%*%

  `signature(x = "ldenseMatrix", y = "lsparseMatrix")`: ...

coerce

  `signature(from = "matrix", to = "ldenseMatrix")`: ...

coerce

  `signature(from = "ldenseMatrix", to = "matrix")`: ...

crossprod

  `signature(x = "lsparseMatrix", y = "ldenseMatrix")`: ...

crossprod

  `signature(x = "ldenseMatrix", y = "lsparseMatrix")`: ...

as.vector

  `signature(x = "ldenseMatrix", mode = "missing")`: ...

which

  `signature(x = "ndenseMatrix")`, semantically equivalent to base function `which(x, arr.ind)`; for details, see the `lMatrix` class documentation.

### See Also

Class `lgeMatrix` and the other subclasses.

### Examples

    showClass("ldenseMatrix")

    as(diag(3) > 0, "ldenseMatrix")

[Package Matrix version 1.0-9 Index]